summaryrefslogtreecommitdiff
path: root/tests/ls
diff options
context:
space:
mode:
authorNix <nix@esperi.org.uk>2010-11-01 15:46:01 +0000
committerPádraig Brady <P@draigBrady.com>2010-11-01 16:02:39 +0000
commit272f8bf0ac23d7c9ac96f3cb53e114cd3566875b (patch)
tree15214793e4981e2903f18f1e860eaf0acb6a856a /tests/ls
parent30e207fa46f2494563ee82ad850f13e53c922842 (diff)
downloadcoreutils-272f8bf0ac23d7c9ac96f3cb53e114cd3566875b.tar.xz
tests: fix a false positive for 32 bit on 64 bit hosts
* tests/ls/stat-free-symlinks: strace currently outputs an informational message about arch difference to stdout. Therefore we need to strip that before comparison.
Diffstat (limited to 'tests/ls')
-rwxr-xr-xtests/ls/stat-free-symlinks5
1 files changed, 4 insertions, 1 deletions
diff --git a/tests/ls/stat-free-symlinks b/tests/ls/stat-free-symlinks
index 6843b97fd..7af9e344d 100755
--- a/tests/ls/stat-free-symlinks
+++ b/tests/ls/stat-free-symlinks
@@ -36,7 +36,10 @@ ln -s x link-to-x || framework_failure
# symlink and an executable file properly.
LS_COLORS='or=0:mi=0:ex=01;32:ln=01;35' \
- strace -qe stat ls -F --color=always x link-to-x > out 2> err || fail=1
+ strace -qe stat ls -F --color=always x link-to-x > out.tmp 2> err || fail
+# Elide info messages strace can send to stdout of the form:
+# [ Process PID=1234 runs in 32 bit mode. ]
+sed '/Process PID=/d' out.tmp > out
# With coreutils 6.9 and earlier, this file would contain a
# line showing ls had called stat on "x".